misagent_client_free
misagent_client_new
misagent_client_start_service
misagent_client_t
misagent_copy
misagent_copy_all
misagent_error_t
misagent_get_status_code
misagent_install
misagent_remove
MISAGENT_SERVICE_NAME

## misagent_client_new()

LIBIMOBILEDEVICE_API misagent_error_t misagent_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | misagent_client_t * | client )

Connects to the misagent service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated misagent_client_t upon successful return.

Returns
  MISAGENT_E_SUCCESS on success, MISAGENT_E_INVALID_ARG when client is NULL, or an MISAGENT_E_* error code otherwise.